Bug 145635 - [EFL] API test has been broken since r184357
Summary: [EFL] API test has been broken since r184357
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on: 145018
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-03 23:05 PDT by Gyuyoung Kim
Modified: 2015-06-05 18:20 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.68 KB, patch)
2015-06-04 22:50 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2015-06-03 23:05:48 PDT
EFL API tests is broken now though, unfortunately it is hard to track what revision broke it because EFL buildbot was broken too. So now I can guess the EFL API test was broken between r184346 ~ r184367. We need to fix it ASAP.
Comment 2 Gyuyoung Kim 2015-06-04 01:23:05 PDT
Oops... EFL API tests work on xvfb....
Comment 3 Gyuyoung Kim 2015-06-04 22:47:37 PDT
I find what revision break EFL API test. r184357 did it because suppress build warning related with cmake.

https://bugs.webkit.org/show_bug.cgi?id=145018#c0

However it looks TARGET_FILE property isn't supported by cmake 2.8.12 correctly yet.
Comment 4 Gyuyoung Kim 2015-06-04 22:50:29 PDT
Created attachment 254342 [details]
Patch
Comment 5 Gyuyoung Kim 2015-06-04 22:52:07 PDT
CC'ing Michael and Martin, I would like to revert r184357 at the moment. However if you guys know better fix, please let me know.
Comment 6 Martin Robinson 2015-06-05 07:06:47 PDT
Yes, I think it is fine to revert for the moment. It's better to have test coverage.
Comment 7 Michael Catanzaro 2015-06-05 07:53:52 PDT
Yes, go ahead and revert, although I wish we knew what was wrong. I did check to make sure we could use TARGET_FILE with cmake 2.8.12.
Comment 8 WebKit Commit Bot 2015-06-05 18:20:04 PDT
Comment on attachment 254342 [details]
Patch

Clearing flags on attachment: 254342

Committed r185281: <http://trac.webkit.org/changeset/185281>
Comment 9 WebKit Commit Bot 2015-06-05 18:20:09 PDT
All reviewed patches have been landed.  Closing bug.